Subject: bug#60936: 30.0.50; ERC >5.5: Add erc-fill style based on visual-line-mode

From: Michael Albinus <[email-masked]>
Date: Tue, 15 Aug 2023 18:12:00 +0200

"J.P." <[email-masked]> writes:

Hi,

> Thanks Michael. I guess checking for
>
>   (equal (get-env "CI_JOB_STAGE") "native-comp")
>
> might also help unless that's inadvisable for some reason (though I'm
> still hoping it doesn't come to this).

Should be OK. If you use `getenv'.

> And not that you should care, but I've been waiting for
>
>   bug#65176: ~25 test failures from make check in the latest master
>
> to wrap up before installing this or similar.

This bug has been closed yesterday.

> BTW, does EMBA expose any public /metrics endpoints? I ask because
> perhaps investigating possible relationships between intermittent
> EMBA-only job failures and something like node-exporter signals [1]
> might prove fruitful. Just a thought.
>
> [1] https://docs.gitlab.com/ee/administration/monitoring/prometheus/index.html#prometheus-as-a-grafana-data-source

I've enabled the /metrics endpoint on emba. This requires a restart of
gitlab, which I haven't done. Should happen next time, when gitlab
patches are installed (which is not my responsibility).

Best regards, Michael.